<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC
    "-//Hibernate/Hibernate Mapping DTD 2.0//EN"
    "http://hibernate.sourceforge.net/hibernate-mapping-2.0.dtd">
<hibernate-mapping package="com.eplugger.shop.user.model">
	   <class name="User"
        table="user"
        dynamic-update="false">
   <id  name="id" column="userid" type="string"  unsaved-value="null">
         <generator class="assigned"/>
   </id>
   <property name="password" type="string" column="password"/>
   <property name="levelId" type="string" column="level_id"/>
   <property name="question" type="string" column="question"/>
   <property name="answer" type="string" column="answer"/>
   <property name="usertype" type="string" column="usertype"/>
   <property name="shortName" type="string" column="shortName"/>
   <property name="contact_zh" type="string" column="contact_zh"/>
   <property name="contact_en" type="string" column="contact_en"/>
   <property name="sex" type="boolean" column="sex"/>
   <property name="idcard" type="string" column="idcard"/>
   <property name="contact_address" type="string" column="contact_address"/>
   <property name="zipcode" type="string" column="zipcode"/>
   <property name="phone" type="string" column="phone"/>
   <property name="fax" type="string" column="fax"/>
   <property name="email" type="string" column="email"/>
   <property name="append_no" type="string" column="append_no"/>
   <property name="userName" type="string" column="userName"/>
   <property name="mobile" type="string" column="mobile"/>
   <property name="createTime" type="string" column="create_time"/>
   <property name="updateTime" type="string" column="update_time"/>
   <property name="province" type="string" column="province"/>
   <property name="city" type="string" column="city"/>
   <property name="integral" type="int" column="integral"/>
   </class>
   <class name="UserLevel"
      table="user_level"
      dynamic-update="false">
 <id  name="id" column="UUID" type="string"  unsaved-value="null">
       <generator class="uuid.hex"/>
 </id>
 <property name="levelName" type="string" column="LEVEL_NAME"/>
 <property name="discountRate" type="int" column="DISCOUNT_RATE"/>
 </class>
<class name="UserOrderIntegral"
      table="user_order_integral"
      dynamic-update="false">
 <id  name="id" column="UUID" type="string"  unsaved-value="null">
       <generator class="uuid.hex"/>
 </id>
 <property name="userId" type="string" column="USERID"/>
 <property name="orderId" type="string" column="ORDER_ID"/>
 <property name="integral" type="int" column="integral"/>
 <property name="type" type="int" column="type"/>
 <property name="note" type="string" column="note"/>
 </class>
 <class name="ProductUserlevelPrice"
      table="product_userlevel_price"
      dynamic-update="false">
 <id  name="id" column="UUID" type="string"  unsaved-value="null">
       <generator class="uuid.hex"/>
 </id>
 <property name="productId" type="string" column="PRODUCTID"/>
 <property name="levelId" type="string" column="LEVELID"/>
 <property name="modelId" type="string" column="model_id"/>
 <property name="userlevelPrice" type="double" column="USERLEVEL_PRICE"/>
 </class>
</hibernate-mapping>
